# Triggers

The Deploy add-on contributes the following triggers. The triggers fire on Umbraco Deploy lifecycle events.

## Common Triggers

| Display Name         | Alias                            |
| -------------------- | -------------------------------- |
| Deployment Succeeded | `umbracoDeploy.taskCompleted`    |
| Deployment Failed    | `umbracoDeploy.taskFailed`       |
| Content Exported     | `umbracoDeploy.artifactExported` |
| Content Imported     | `umbracoDeploy.artifactImported` |

## Filesystem Triggers

| Display Name            | Alias                        |
| ----------------------- | ---------------------------- |
| Files Written to Disk   | `umbracoDeploy.filesWritten` |
| Files Deleted from Disk | `umbracoDeploy.filesDeleted` |

## Remote and Disk Triggers

| Display Name            | Alias                           |
| ----------------------- | ------------------------------- |
| Remote Deploy Completed | `umbracoDeploy.remoteCompleted` |
| Disk Deploy Completed   | `umbracoDeploy.diskTriggered`   |

## Advanced Triggers

| Display Name                  | Alias                                  |
| ----------------------------- | -------------------------------------- |
| Content Exporting             | `umbracoDeploy.artifactExporting`      |
| Content Importing             | `umbracoDeploy.artifactImporting`      |
| Artifact Import Validation    | `umbracoDeploy.validateArtifactImport` |
| User Files Updated            | `umbracoDeploy.userUpdated`            |
| Deploy Work Context Preparing | `umbracoDeploy.workContextPreparing`   |

{% hint style="info" %}
The advanced triggers fire before the underlying Deploy operation runs. The automation observes the event but cannot cancel the Deploy operation through Automate.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-automate/add-ons/deploy/triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
